---
- name: "Prepare secrets folder"
  file:
    path: ./secrets
    state: directory
    mode: 0755

- name: "Generate .env file in the secrets folder"
  template:
    src: .env.yaml.j2
    dest: "{{ config_path }}/prod.env.yaml"
    mode: 0666

- set_fact:
    helm_secret_data: "{{ lookup('file', '{{ config_path }}/prod.env.yaml') }}"

- name: "Generate helm values file"
  template:
    src: helm-values.yaml.j2
    dest: ./secrets/prod-values.yaml
    mode: 0666
